import java.util.*;

/** A "Is-A" implementation of the BookList interface as LinkedList */

public class BookListIsLL extends LinkedList<Book> implements BookList {

    public BookListIsLL() {
    	super();
    }
    
    // add() method needs no overriding
	
    // no need to check the index range, the parent method throws exception
    public void insert(Book newBook, int position) {
    	this.add(position, newBook);
    }
    
    // size() method needs no overriding

	// isEmpty() method needs no overriding

    public String toString() {
		String result = "BookList inherited from LinkedList:\n";
	
		for(Book book : this) 
			result += book.toString() + "\n";
			
		return result;
    }
    
    // iterator() method needs no overriding

    
}
	
